[data-md-color-scheme="codical"] {
  --md-primary-fg-color:             #0C1A59;
  --md-primary-fg-color--light:      #52adda;
  --md-primary-fg-color--dark:       #23527c;
  --md-accent-fg-color:              #297EA8;
  --md-accent-fg-color--transparent: #297EA850;
  --md-accent-bg-color:              hsla(0, 0%, 100%, 1);
  --md-accent-bg-color--light:       hsla(0, 0%, 100%, 0.7);
}

.blog-override-post {
  border: 1px solid #e8e8e877 !important;
  box-shadow: 3px 4px 10px #e8e8e8;
  padding-left: 1.25rem !important;
  padding-right: 1.25rem !important;
}

.md-typeset h1 {
  margin-bottom: 0.25em;
}

.md-typeset h2 {
  margin-top: 1em;
}

.published {
  color: var(--md-default-fg-color--light);
}

.blog-override-post:hover {
  cursor: pointer;
}

.blog-override-post>* {
  transform: none !important;
}

.md-copyright {
  /* 3 = number of icons in footer */
  width: calc(100% - (3 * 1.6rem) - 2.6rem) !important;
}

.made-by {
  min-width: 10rem;
}

.legal-disclosure {
  float: right;
}

@media screen and (max-width: 479px) {
  .legal-disclosure {
    min-width: 10rem;
    float: left;
  }
}

/* remove min-width for table columns: */
.md-typeset table:not([class]) th {
  min-width: auto;
}


/* Nav fixes */

.md-nav__link {
  gap: .4rem;
  padding-left: .5rem;
}

.md-nav__link:has(> svg),
.md-nav__link.md-nav__container,
.md-nav__item--section>.md-nav__link[for] {
  padding-left: 0rem;
}

.md-nav__link svg {
  height: 1em;
}

.katex-display {
  margin: 0 !important;
}

/* Extra Admonition: post-updates */

:root {
  --md-admonition-icon--post-updates: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><script xmlns=""/><path d="M21 10.12h-6.78l2.74-2.82c-2.73-2.7-7.15-2.8-9.88-.1a6.887 6.887 0 0 0 0 9.8c2.73 2.7 7.15 2.7 9.88 0 1.36-1.35 2.04-2.92 2.04-4.9h2c0 1.98-.88 4.55-2.64 6.29-3.51 3.48-9.21 3.48-12.72 0-3.5-3.47-3.53-9.11-.02-12.58a8.987 8.987 0 0 1 12.65 0L21 3v7.12M12.5 8v4.25l3.5 2.08-.72 1.21L11 13V8h1.5Z"/></svg>')
}

.md-typeset .admonition.post-updates,
.md-typeset details.post-updates {
    border-color: #9e9e9e
}

.md-typeset .post-updates>.admonition-title,
.md-typeset .post-updates>summary {
    background-color: #9e9e9e1a
}

.md-typeset .post-updates>.admonition-title:before,
.md-typeset .post-updates>summary:before {
    background-color: #9e9e9e;
    -webkit-mask-image: var(--md-admonition-icon--post-updates);
            mask-image: var(--md-admonition-icon--post-updates)
}

.md-typeset .post-updates>.admonition-title:after,
.md-typeset .post-updates>summary:after {
    color: #9e9e9e
}
